Debian Bug report logs - #493770
freebsd-buildutils: fgetln() implicitly converted to pointer

version graph

Package: freebsd-buildutils; Maintainer for freebsd-buildutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-buildutils is src:freebsd-buildutils.

Reported by: dann frazier <dannf@debian.org>

Date: Mon, 4 Aug 2008 20:00:04 UTC

Severity: serious

Found in version freebsd-buildutils/7.0-1

Fixed in version freebsd-buildutils/7.0-2

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#493770; Package freebsd-buildutils. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: submit@bugs.debian.org
Subject: freebsd-buildutils: fgetln() implicitly converted to pointer
Date: Mon, 4 Aug 2008 13:58:40 -0600
Package: freebsd-buildutils
Version: 7.0-1
Severity: serious
Usertags: implicit-pointer-conversion

Our automated buildd log filter[1] detected a problem that is likely to
cause your package to segfault on architectures where the size of a
pointer is greater than the size of an integer, such as ia64 and amd64.

  Function `fgetln' implicitly converted to pointer at excludes.c:74

This is often due to a missing function prototype definition.
For more information, see [2].

Though it is guaranteed that this codepath will cause a segfault on certain
architectures, it is not guaranteed that this codepath would ever be executed
(e.g., if the returned pointer is never dereferenced). However, this bug
does prevent the ia64 buildd from successfully building this package, resulting
in a practical FTBFS issue and warranting the serious severity.

It looks like excludes.c needs an '#include <bsd/string.h>'
directive. Not providing a patch because this file appears during the
build and its not immediately obvious to me where it comes from.

[1] http://people.debian.org/~dannf/check-implicit-pointer-functions
[2] http://wiki.debian.org/ImplicitPointerConversions

-- 
dann frazier





Tags added: pending Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 05 Aug 2008 06:39:06 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to dann frazier <dannf@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 493770-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 493770-close@bugs.debian.org
Subject: Bug#493770: fixed in freebsd-buildutils 7.0-2
Date: Tue, 05 Aug 2008 22:17:07 +0000
Source: freebsd-buildutils
Source-Version: 7.0-2

We believe that the bug you reported is fixed in the latest version of
freebsd-buildutils, which is due to be installed in the Debian FTP archive:

freebsd-buildutils_7.0-2.diff.gz
  to pool/main/f/freebsd-buildutils/freebsd-buildutils_7.0-2.diff.gz
freebsd-buildutils_7.0-2.dsc
  to pool/main/f/freebsd-buildutils/freebsd-buildutils_7.0-2.dsc
freebsd-buildutils_7.0-2_amd64.deb
  to pool/main/f/freebsd-buildutils/freebsd-buildutils_7.0-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 493770@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated freebsd-buildutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 05 Aug 2008 14:30:25 +0200
Source: freebsd-buildutils
Binary: freebsd-buildutils
Architecture: source amd64
Version: 7.0-2
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 freebsd-buildutils - Utilities for building FreeBSD sources
Closes: 493770
Changes: 
 freebsd-buildutils (7.0-2) unstable; urgency=low
 .
   [ Petr Salinger ]
   * fix implicit-pointer-conversion by including appropriate headers.
     Closes: #493770.
   * add Vcs-* fields into debian/control.
Checksums-Sha1: 
 bb411efa1139644c13197256ea0c08242a371e81 1292 freebsd-buildutils_7.0-2.dsc
 c04ee284085d9ea60fc7d410fd8288dcc5019a50 21901 freebsd-buildutils_7.0-2.diff.gz
 ccba39123b828eb4a450c4dfae43b0048dae27ed 404072 freebsd-buildutils_7.0-2_amd64.deb
Checksums-Sha256: 
 af083e819b661497d99da6eac024274102c50239a238ba5fc0dd17f166e81e6c 1292 freebsd-buildutils_7.0-2.dsc
 e01ec917bf991b610ffd2a7a69dbf317ae4adefa99efcc7f4bc56a4321cdf7f5 21901 freebsd-buildutils_7.0-2.diff.gz
 6956d162f14e73fba6af921beafcc6acc354b32e8b0d1d469f89ec1bf8f52490 404072 freebsd-buildutils_7.0-2_amd64.deb
Files: 
 f44ce3065462a05142d50c152cfdac43 1292 devel extra freebsd-buildutils_7.0-2.dsc
 a1e932bf645664d7ec3fbe28868ccda3 21901 devel extra freebsd-buildutils_7.0-2.diff.gz
 e01afbd5e7a05a70a53b449d1e634f6f 404072 devel extra freebsd-buildutils_7.0-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFImEmqw3ao2vG823MRAjlJAKCMcNp9q6ceher5iS9SHxdutTSAZgCZAYQ5
qfzXvPPGMymPHkxo8aS/efw=
=DFq0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 24 Sep 2008 07:33:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:38:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.